scim::FunctionSlot6< R, P1, P2, P3, P4, P5, P6 > Class Template Reference
SignalSlot

A slot template for static functions taking six arguments of type P1, P2, P3, P4, P5 and P6, and returning a value of type R. More...

`#include <scim_slot.h>`

## Public Member Functions

| FunctionSlot6 (PF function)
virtual R | call (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5, P6 p6) const
Public Member Functions inherited from scim::Slot6< R, P1, P2, P3, P4, P5, P6 >
R | operator() (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5, P6 p6) const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::Slot6< R, P1, P2, P3, P4, P5, P6 >
| Slot6 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
class scim::FunctionSlot6< R, P1, P2, P3, P4, P5, P6 >

A slot template for static functions taking six arguments of type P1, P2, P3, P4, P5 and P6, and returning a value of type R.

## Constructor & Destructor Documentation

## FunctionSlot6()

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>

scim::FunctionSlot6< R, P1, P2, P3, P4, P5, P6 >::FunctionSlot6 | ( | PF | function | ) |

inline

Construct a new function slot for a static function.

Parameters

  function | - static function with the signature R (*PF)(P1, P2, P3, P4, P5).

## Member Function Documentation

## call()

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>

virtual R scim::FunctionSlot6< R, P1, P2, P3, P4, P5, P6 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4,
|  | P5 | p5,
|  | P6 | p6 ) const

inline virtual

Calls the function connected to this slot passing it arguments p1, p2, p3, p4, p5 and p6.

Returns
  a value of type R returned by the called function.

Implements scim::Slot6< R, P1, P2, P3, P4, P5, P6 >.

The documentation for this class was generated from the following file:

- scim_slot.h